.component-chatbox {
    display: flex;
    flex-direction: column;
}

.component-chatbox-message-list {
    max-height: 250px;
    overflow-y: auto;
}

.chat-action-area::before {
    border-bottom: 1px solid #54575e;
    content: '';
    display: block;
    width: 70%;
}

.chat-action-area {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-content: stretch;
    align-items: center;

    >* {
        order: 0;
        flex: 0 1 auto;
        align-self: auto;
    }
}

.chat-action-area>* {
    margin-top: 5px;
}

.row-align {
    flex-direction: row;
}

.column-align {
    flex-direction: column;
}

.row-align,
.column-align {
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-content: stretch;
    align-items: flex-start;

    >* {
        order: 0;
        flex: 0 1 auto;
        align-self: auto;
    }
}

.disabled {
    filter: grayscale(80%);
}

.msg-input {
    padding-bottom: 5px;
}

.warning {
    color: red;
}